package com.kingdee.eas.custom.compensation.startingsalary;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class SalaryConfirmationEntryCollection extends AbstractObjectCollection 
{
    public SalaryConfirmationEntryCollection()
    {
        super(SalaryConfirmationEntryInfo.class);
    }
    public boolean add(SalaryConfirmationEntryInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(SalaryConfirmationEntryCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(SalaryConfirmationEntryInfo item)
    {
        return removeObject(item);
    }
    public SalaryConfirmationEntryInfo get(int index)
    {
        return(SalaryConfirmationEntryInfo)getObject(index);
    }
    public SalaryConfirmationEntryInfo get(Object key)
    {
        return(SalaryConfirmationEntryInfo)getObject(key);
    }
    public void set(int index, SalaryConfirmationEntryInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(SalaryConfirmationEntryInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(SalaryConfirmationEntryInfo item)
    {
        return super.indexOf(item);
    }
}